[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-dev
Subject:    [gentoo-dev] [PATCH v2 2/2] sys-firmware/intel-microcode: check-reqs for /boot space
From:       "Robin H. Johnson" <robbat2 () gentoo ! org>
Date:       2024-02-26 6:31:04
Message-ID: 20240226063105.1767-2-robbat2 () gentoo ! org
[Download RAW message or body]

Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
---
 .../intel-microcode-20231114_p20231114.ebuild       | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/sys-firmware/intel-microcode/intel-microcode-20231114_p20231114.ebuild \
b/sys-firmware/intel-microcode/intel-microcode-20231114_p20231114.ebuild index \
                5d1ff1e7f4be..30aca9ccbecf 100644
--- a/sys-firmware/intel-microcode/intel-microcode-20231114_p20231114.ebuild
+++ b/sys-firmware/intel-microcode/intel-microcode-20231114_p20231114.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit linux-info mount-boot
+inherit linux-info mount-boot check-reqs
 
 # Find updates by searching and clicking the first link (hopefully it's the one):
 # https://www.intel.com/content/www/us/en/search.html?keyword=Processor+Microcode+Data+File
 @@ -52,6 +52,9 @@ BDEPEND=">=sys-apps/iucode_tool-2.3"
 # !<sys-apps/microcode-ctl-1.17-r2 due to bug #268586
 RDEPEND="hostonly? ( sys-apps/iucode_tool )"
 
+# Plus a /boot check further down that, based on USE=initramfs.
+CHECKREQS_DISK_RUNTIME=( /lib/firmware/intel-ucode/:30M )
+
 # Blacklist bad microcode here.
 # 0x000406f1 aka 06-4f-01 aka CPUID 406F1 require newer microcode loader
 MICROCODE_BLACKLIST_DEFAULT="-s !0x000406f1"
@@ -164,7 +167,13 @@ pkg_preinst() {
 	fi
 
 	# Make sure /boot is available if needed.
-	use initramfs && mount-boot_pkg_preinst
+	if use initramfs; then
+		mount-boot_pkg_preinst
+		CHECKREQS_DISK_RUNTIME+=( /boot:20M )
+		#  check-reqs doesn't have any pkg_preinst function today.
+		check-reqs_pkg_setup || die "Not enough room in /boot to install early microcode"
+	fi
+
 
 	local _initramfs_file="${ED}/boot/intel-uc.img"
 
-- 
2.43.0


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic